# - Build details for DOLFIN:  Dynamic Object-oriented Library for FINite element computation
#
# This file has been automatically generated.

# FIXME: Check that naming conforms to CMake standards

# Package found
set(DOLFIN_FOUND TRUE)

# Compilers
set(DOLFIN_CXX_COMPILER "/usr/bin/c++")

# Compiler defintions
set(DOLFIN_CXX_DEFINITIONS "-DDOLFIN_VERSION=\"1.1.0+\";-DBOOST_UBLAS_NDEBUG;-DHAS_TRILINOS;-DHAS_SLEPC;-DHAS_PETSC;-DHAS_MTL4;-DHAS_UMFPACK;-DHAS_CHOLMOD;-DHAS_PASTIX;-DHAS_SCOTCH;-DHAS_PARMETIS;-DHAS_CGAL;;-DCGAL_DISABLE_ROUNDING_MATH_CHECK;-DHAS_ZLIB;-DHAS_CPPUNIT;-DHAS_MPI")

# Compiler flags
set(DOLFIN_CXX_FLAGS "-DMPICH_IGNORE_CXX_SEEK -fno-strict-aliasing -I/usr/lib/openmpi/include -I/usr/lib/openmpi/include/metis -I/usr/lib/petsc-real/include -I/usr/lib/petsc-real/include/sieve -I/usr/lib/spooles/include -pipe -Wall -O2 -fPIC -DPIC -DPETSC_HAVE_SPOOLES -UHAS_OPENMP -DHAS_SLEPC -g -fpermissive -DHAS_GMP ")

# Linker flags
set(DOLFIN_LINK_FLAGS " -L/usr/lib/openmpi/lib -Wl,-rpath,/usr/lib/openmpi/lib -L/usr/lib/petsc-real/lib -Wl,-rpath,/usr/lib/petsc-real/lib ")

# Include directories
set(DOLFIN_INCLUDE_DIRS "/usr/lib/petsc-real/include")

# Third party include directories
set(DOLFIN_3RD_PARTY_INCLUDE_DIRS "/usr/include/libxml2;/usr/include;/usr/include;/usr/lib/petsc-real;/usr/lib/petsc-real/include;/usr/include/suitesparse;/usr/include/suitesparse;/usr/include;/usr/include;/usr/include;/usr/include;/usr/lib/openmpi/include;/usr/include;/usr/include;/usr/include/triangle;/usr/include/sundials-double;/usr/include/sprng1;/usr/lib/spooles/include;/usr/include/spai;/usr/include/superlu_dist;/usr/lib/openmpi/include/metis;/usr/include/oski;/usr/include/hypre;/usr/include/plapack;/usr/include/suitesparse;/usr/lib/openmpi/include/netcdf-3;/usr/lib/openmpi/include;/usr/lib/petsc-real/include;/usr/include;/usr/include;/usr/lib/openmpi/include")

# Python include directories
set(DOLFIN_PYTHON_INCLUDE_DIRS "/usr/include/python2.7;/usr/lib/python2.7/site-packages/numpy/core/include")

# DOLFIN library
set(DOLFIN_LIBRARIES "/usr/lib/petsc-real/lib/libdolfin.so")

# Third-party library directories
set(DOLFIN_3RD_PARTY_LIBRARY_DIRS "")

# Third-party libraries
set(DOLFIN_3RD_PARTY_LIBRARIES "/usr/lib/libxml2.so;/usr/lib/libarmadillo.so;/usr/lib/liblapack.so;/usr/lib/libopenblas.so;/usr/lib/libpthread.so;/usr/lib/libopenblas.so;/usr/lib/libpthread.so;/usr/lib/libboost_filesystem-mt.so;/usr/lib/libboost_program_options-mt.so;/usr/lib/libboost_system-mt.so;/usr/lib/libboost_thread-mt.so;/usr/lib/libboost_iostreams-mt.so;/usr/lib/libboost_math_tr1-mt.so;/usr/lib/libboost_mpi-mt.so;/usr/lib/libboost_serialization-mt.so;/usr/lib/libboost_timer-mt.so;/usr/lib/libboost_chrono-mt.so;/usr/lib/petsc-real/lib/libslepc.so;/usr/lib/libscalapack.so;/usr/lib/libarpack_LINUX.so;/usr/lib/libblacs.so;/usr/lib/libblzpack.so;/usr/lib/libtrlan_mpi.so;/usr/lib/libdprimme.so;-lslepc;-lpetsc;-ldmumps;-lgmpxx;-lgmp;-lmpfr;-lpetsc;/usr/lib/libumfpack.so;/usr/lib/libamd.so;/usr/lib/libopenblas.so;/usr/lib/libpthread.so;/usr/lib/libcholmod.so;/usr/lib/libamd.so;/usr/lib/libcamd.so;/usr/lib/libcolamd.so;/usr/lib/libccolamd.so;/usr/lib/libsuitesparseconfig.so;/usr/lib/libparmetis.so;-lparmetis;/usr/lib/liblapack.so;/usr/lib/libopenblas.so;/usr/lib/libpthread.so;/usr/lib/libopenblas.so;/usr/lib/libpthread.so;/usr/lib/gcc/i586-alt-linux/4.7.2/libgfortran.so;/usr/lib/libsuitesparseconfig.so;/usr/lib/gcc/i586-alt-linux/4.7.2/libgfortran.so;/usr/lib/libcholmod.so;/usr/lib/libamd.so;/usr/lib/libcamd.so;/usr/lib/libcolamd.so;/usr/lib/libccolamd.so;/usr/lib/libsuitesparseconfig.so;/usr/lib/libparmetis.so;-lparmetis;/usr/lib/liblapack.so;/usr/lib/libopenblas.so;/usr/lib/libpthread.so;/usr/lib/libopenblas.so;/usr/lib/libpthread.so;/usr/lib/gcc/i586-alt-linux/4.7.2/libgfortran.so;pastix_d;/usr/lib/libpastix.so;/usr/lib/librt.so;/usr/lib/libm.so;/usr/lib/libhwloc.so;/usr/lib/libopenblas.so;/usr/lib/libpthread.so;/usr/lib/gcc/i586-alt-linux/4.7.2/libgfortran.so;/usr/lib/libptscotch.so;/usr/lib/libptscotcherr.so;/usr/lib/libparmetis.so;-lparmetis;/usr/lib/libCGAL.so;/usr/lib/libz.so;/usr/lib/libcppunit.so;/usr/lib/openmpi/lib/libmpi_cxx.so;/usr/lib/openmpi/lib/libmpi.so;/usr/lib/libdl.so;/usr/lib/libm.so;/usr/lib/librt.so;/usr/lib/libnsl.so;/usr/lib/libutil.so;/usr/lib/libm.so;/usr/lib/libdl.so;-lamesos;-laztecoo;-lepetra;-lepetraext;-lifpack;-lml;-lteuchos;-lzoltan")

# Python libraries
set(DOLFIN_PYTHON_LIBRARIES "/usr/lib/libpython2.7.so")

# Version
set(DOLFIN_VERSION_MAJOR "1")
set(DOLFIN_VERSION_MINOR "1")
set(DOLFIN_VERSION_MICRO "0+")
set(DOLFIN_VERSION_STR   "1.1.0+")

# The location of the UseDOLFIN.cmake file
set(DOLFIN_USE_FILE "/usr/lib/petsc-real/share/dolfin/cmake/UseDOLFIN.cmake")
